AbstractGrailsPluginManager (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class AbstractGrailsPluginManager

    java.lang.Object
      org.codehaus.groovy.grails.plugins.AbstractGrailsPluginManager

All Implemented Interfaces:
  GrailsPluginManager

    public abstract class AbstractGrailsPluginManager
    extends java.lang.Object

Abstract implementation of the GrailsPluginManager interface

Authors:
  Graeme Rocher

Since:
  0.4

Field Summary
`static java.lang.String` | `CONFIG_FILE`
`protected GrailsApplication` | `application`
`protected org.springframework.context.ApplicationContext` | `applicationContext`
`protected java.util.Map` | `classNameToPluginMap`
`protected java.util.Map` | `failedPlugins`
`protected boolean` | `initialised`
`protected boolean` | `loadCorePlugins`
`protected java.lang.Class[]` | `pluginClasses`
`protected java.util.List` | `pluginList`
`protected org.springframework.core.io.Resource[]` | `pluginResources`
`protected java.util.Map` | `plugins`
`protected boolean` | `shutdown`

Constructor Summary
`AbstractGrailsPluginManager(GrailsApplication application)`

Method Summary
`protected void` | `checkInitialised()`
`void` | `doArtefactConfiguration()`
`void` | `doDynamicMethods()`
`void` | `doPostProcessing(org.springframework.context.ApplicationContext ctx)` Base implementation that will simply go through each plugin and call doWithApplicationContext on each.
`void` | `doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)` Base implementation that simply goes through the list of plugins and calls doWithRuntimeConfiguration on each
`void` | `doRuntimeConfiguration(java.lang.String pluginName, RuntimeSpringConfiguration springConfig)` Base implementation that will perform runtime configuration for the specified plugin name.
`GrailsPlugin[]` | `getAllPlugins()`
`GrailsPlugin[]` | `getFailedLoadPlugins()`
`GrailsPlugin` | `getFailedPlugin(java.lang.String name)`
`GrailsPlugin` | `getGrailsPlugin(java.lang.String name)`
`GrailsPlugin` | `getGrailsPlugin(java.lang.String name, java.lang.Object version)`
`GrailsPlugin` | `getGrailsPluginForClassName(java.lang.String name)`
`GrailsPlugin` | `getPluginForClass(java.lang.Class theClass)`
`GrailsPlugin` | `getPluginForInstance(java.lang.Object instance)`
`java.lang.String` | `getPluginPath(java.lang.String name)`
`java.lang.String` | `getPluginPathForClass(java.lang.Class theClass)`
`java.lang.String` | `getPluginPathForInstance(java.lang.Object instance)`
`org.springframework.core.io.Resource[]` | `getPluginResources()`
`java.lang.String` | `getPluginViewsPathForClass(java.lang.Class theClass)`
`java.lang.String` | `getPluginViewsPathForInstance(java.lang.Object instance)`
`java.util.List` | `getTypeFilters()`
`boolean` | `hasGrailsPlugin(java.lang.String name)`
`void` | `informOfClassChange(java.lang.Class aClass)`
`void` | `informOfClassChange(java.io.File file, java.lang.Class cls)`
`void` | `informOfFileChange(java.io.File file)`
`void` | `informPluginsOfConfigChange()`
`boolean` | `isInitialised()` @return the initialised
`boolean` | `isShutdown()`
`void` | `registerProvidedArtefacts(GrailsApplication app)`
`void` | `setApplication(GrailsApplication application)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void` | `setLoadCorePlugins(boolean shouldLoadCorePlugins)`
`void` | `shutdown()`
`boolean` | `supportsCurrentBuildScope(java.lang.String pluginName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONFIG_FILE

    public static final java.lang.String CONFIG_FILE

### application

    protected GrailsApplication application

### applicationContext

    protected org.springframework.context.ApplicationContext applicationContext

### classNameToPluginMap

    protected java.util.Map classNameToPluginMap

### failedPlugins

    protected java.util.Map failedPlugins

### initialised

    protected boolean initialised

### loadCorePlugins

    protected boolean loadCorePlugins

### pluginClasses

    protected java.lang.Class[] pluginClasses

### pluginList

    protected java.util.List pluginList

### pluginResources

    protected org.springframework.core.io.Resource[] pluginResources

### plugins

    protected java.util.Map plugins

### shutdown

    protected boolean shutdown

Constructor Detail

### AbstractGrailsPluginManager

    public AbstractGrailsPluginManager(GrailsApplication application)

Method Detail

### checkInitialised

    protected void checkInitialised()

### doArtefactConfiguration

    public void doArtefactConfiguration()

### doDynamicMethods

    public void doDynamicMethods()

### doPostProcessing

    public void doPostProcessing(org.springframework.context.ApplicationContext ctx)

  Base implementation that will simply go through each plugin and call doWithApplicationContext on each.

### doRuntimeConfiguration

    public void doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)

  Base implementation that simply goes through the list of plugins and calls doWithRuntimeConfiguration on each
  Parameters:
    `springConfig` - The RuntimeSpringConfiguration instance

### doRuntimeConfiguration

    public void doRuntimeConfiguration(java.lang.String pluginName, RuntimeSpringConfiguration springConfig)

  Base implementation that will perform runtime configuration for the specified plugin name.

### getAllPlugins

    public GrailsPlugin[] getAllPlugins()

### getFailedLoadPlugins

    public GrailsPlugin[] getFailedLoadPlugins()

### getFailedPlugin

    public GrailsPlugin getFailedPlugin(java.lang.String name)

### getGrailsPlugin

    public GrailsPlugin getGrailsPlugin(java.lang.String name)

### getGrailsPlugin

    public GrailsPlugin getGrailsPlugin(java.lang.String name, java.lang.Object version)

### getGrailsPluginForClassName

    public GrailsPlugin getGrailsPluginForClassName(java.lang.String name)

### getPluginForClass

    public GrailsPlugin getPluginForClass(java.lang.Class theClass)

### getPluginForInstance

    public GrailsPlugin getPluginForInstance(java.lang.Object instance)

### getPluginPath

    public java.lang.String getPluginPath(java.lang.String name)

### getPluginPathForClass

    public java.lang.String getPluginPathForClass(java.lang.Class theClass)

### getPluginPathForInstance

    public java.lang.String getPluginPathForInstance(java.lang.Object instance)

### getPluginResources

    public org.springframework.core.io.Resource[] getPluginResources()

### getPluginViewsPathForClass

    public java.lang.String getPluginViewsPathForClass(java.lang.Class theClass)

### getPluginViewsPathForInstance

    public java.lang.String getPluginViewsPathForInstance(java.lang.Object instance)

### getTypeFilters

    public java.util.List getTypeFilters()

### hasGrailsPlugin

    public boolean hasGrailsPlugin(java.lang.String name)

### informOfClassChange

    public void informOfClassChange(java.lang.Class aClass)

### informOfClassChange

    public void informOfClassChange(java.io.File file, @java.lang.SuppressWarnings("rawtypes") java.lang.Class cls)

### informOfFileChange

    public void informOfFileChange(java.io.File file)

### informPluginsOfConfigChange

    public void informPluginsOfConfigChange()

### isInitialised

    public boolean isInitialised()

  Returns:
    the initialised

### isShutdown

    public boolean isShutdown()

### registerProvidedArtefacts

    public void registerProvidedArtefacts(GrailsApplication app)

### setApplication

    public void setApplication(GrailsApplication application)

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

### setLoadCorePlugins

    public void setLoadCorePlugins(boolean shouldLoadCorePlugins)

### shutdown

    public void shutdown()

### supportsCurrentBuildScope

    public boolean supportsCurrentBuildScope(java.lang.String pluginName)

Groovy Documentation